plainbox-insecure-policy_0.25-1_all.deb


Advertisement

Description

plainbox-insecure-policy - policykit policy required to use plainbox (insecure version)

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: plainbox-insecure-policy
Package version: 0.25
Package release: 1
Package architecture: all
Package type: deb
Installed size: 23 B
Download size: 7.98 KB
Official Mirror: archive.ubuntu.com
PlainBox is a toolkit consisting of python3 library, development tools, documentation and examples. It is targeted at developers working on testing or certification applications and authors creating tests for such applications. PlainBox can be used to both create simple and comprehensive test tools as well as to develop and execute test jobs and test scenarios. It was created as a refined and rewritten core of the Checkbox project. It has a well tested and documented core, small but active development community and a collection of associated projects that use it as a lower-level engine/back-end library. PlainBox has a novel approach to discovering (and probing) hardware and software that is extensible and not hardwired into the system. It allows test developers to express association between a particular test and the hardware, software and configuration constraints that must be met for the test to execute meaningfully. This feature, along with pluggable test definitions, makes plainbox flexible and applicable to many diverse testing situations, ranging from mobile phones, traditional desktop computers, servers and up to testing "cloud" installations. Note that installing this package will allow *any* local user to execute any of the plainbox jobs (test definitions), also installed on the same machine (in system-wide locations), without any confirmation. You should only install this package on machines where that is not a security problem. Typically this package is installed on test machines inside automatically deployed test farms.

Alternatives

Conflicts

  • plainbox-secure-policy

Replaces

  • plainbox-secure-policy

    Download

    Source package: plainbox

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install plainbox-insecure-policy deb package:
      # sudo apt-get install plainbox-insecure-policy

    Files

    • /usr/share/doc/plainbox-insecure-policy/changelog.Debian.gz
    • /usr/share/doc/plainbox-insecure-policy/copyright
    • /usr/share/polkit-1/actions/org.freedesktop.policykit.pkexec.run-plainbox-job.policy

    Changelog

    Advertisement
    Advertisement